// -----------------------------------------------------------------------------
// This file contains CSS helper classes.
// -----------------------------------------------------------------------------

.fill-remaining-space {
  flex: 1 1 auto;
}

.bold {
  font-weight: bold;
}

.none,
.hidden {
  display: none;
}

.inline {
  display: inline-block;
}

.block {
  display: block;
}

.flex {
  display: flex;
}

.static {
  position: static;
}

.relative {
  position: relative;
}

.absolute {
  position: absolute;
}

.fixed {
  position: fixed;
}

.left {
  float: left;
}

.right {
  float: right;
}

.clearfix {
  clear: both;
  display: block;
  width: 100%;
  height: 0;
}

.align-left {
  text-align: left;
}

.align-center {
  text-align: center;
}

.align-justify {
  text-align: justify;
}

.align-right {
  text-align: right;
}

.align-middle {
  vertical-align: middle;
}

.align-top {
  vertical-align: top;
}

.align-bottom {
  vertical-align: bottom;
}

.nowrap {
  white-space: nowrap;
}

.wrap {
  white-space: normal;
}

.word-break {
  word-break: break-all;
  white-space: normal;
}

.uppercase {
  text-transform: uppercase;
}

.lowercase {
  text-transform: lowercase;
}

.line {
  position: relative;
  background: transparent;
  z-index: 0;

  &:before {
    content: '';
    position: absolute;
    left: 0;
    width: 100vw;
    height: 1px;
    //background: $line-color;
    z-index: 1;
  }

  &--content {
    &:before {
      width: 100%;
    }
  }
}

.disabled-click,
.disabled-click > * {
  pointer-events: none;
  cursor: default;
}

.inline {
  display: inline-block;
}

.list {
  &--unstyled {
    clear: both;
    list-style: none;
    padding: 0;
    margin: 0;
  }

  &--multiple {
    overflow-y: auto;
    height: 100%;
    max-height: 17rem;
    //border: 1px solid $line-color;
    @extend .list--unstyled;

    .list__item {
      //border-bottom: 1px solid $mid-gray;
      padding: 1rem;

      &:last-child {
        border-bottom: unset;
      }
    }
  }
}

/*
 * margins & paddings
 */

@for $i from 0 through 50 {
  .t-#{$i} {
    top: $i + 0rem;
  }
  .r-#{$i} {
    right: $i + 0rem;
  }
  .b-#{$i} {
    bottom: $i + 0rem;
  }
  .l-#{$i} {
    left: $i + 0rem;
  }

  .m-#{$i} {
    margin: $i + 0rem;
  }
  .mt-#{$i} {
    margin-top: $i + 0rem;

    &-- {
      margin-top: -$i + 0rem;
    }
  }
  .mr-#{$i} {
    margin-right: $i + 0rem;

    &-- {
      margin-right: -$i + 0rem;
    }
  }
  .mb-#{$i} {
    margin-bottom: $i + 0rem !important;

    &-- {
      margin-bottom: -$i + 0rem;
    }
  }
  .ml-#{$i} {
    margin-left: $i + 0rem;

    &-- {
      margin-left: -$i + 0rem;
    }
  }
  .mh-#{$i} {
    margin-left: $i + 0rem;
    margin-right: $i + 0rem;
  }
  .mv-#{$i} {
    margin-top: $i + 0rem;
    margin-bottom: $i + 0rem;
  }

  .p-#{$i} {
    padding: $i + 0rem;
  }
  .pt-#{$i} {
    padding-top: $i + 0rem;
  }
  .pr-#{$i} {
    padding-right: $i + 0rem;
  }
  .pb-#{$i} {
    padding-bottom: $i + 0rem;
  }
  .pl-#{$i} {
    padding-left: $i + 0rem;
  }
  .ph-#{$i} {
    padding-left: $i + 0rem;
    padding-right: $i + 0rem;
  }
  .pv-#{$i} {
    padding-top: $i + 0rem;
    padding-bottom: $i + 0rem;
  }
}

@for $i from 0 through 50 {
  .order-#{$i} {
    order: $i;
  }
}

@for $i from 0 through 1000 {
  .height-#{$i} {
    height: $i + 0px;
    overflow-y: auto;
    overflow-x: hidden;
  }
}

@for $i from 0 through 1366 {
  .max-height-#{$i} {
    max-height: $i + 0px;
    overflow-y: auto;
    overflow-x: hidden;
  }
}

.overflow-x {
  overflow-x: auto;
}

.border-right {
  border-right: 1px solid rgba(0,0,0,.12);
}
